Bug 512915 (CVE-2009-2674) - CVE-2009-2674 Java Web Start Buffer JPEG processing integer overflow (6823373)
Summary: CVE-2009-2674 Java Web Start Buffer JPEG processing integer overflow (6823373)
Status: CLOSED ERRATA
Alias: CVE-2009-2674
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=sun,public=200...
Keywords: Security
Depends On: 513391 513392 515682 515683 521225 521226 540443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-21 10:40 UTC by Marc Schoenefeld
Modified: 2016-03-04 12:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 03:19:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1200 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-08-06 20:41:36 UTC
Red Hat Product Errata RHSA-2009:1201 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2009-08-06 21:14:44 UTC
Red Hat Product Errata RHSA-2009:1582 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-11-12 18:15:19 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC
Sun Bug Database 6823373 None None None Never

Comment 3 Murray McAllister 2009-08-06 14:34:44 UTC
An integer overflow flaw was found in the way the JRE processes JPEG
images. An untrusted application could use this flaw to extend its
privileges, allowing it to read and write local files, as well as to
execute local applications with the privileges of the user running the
application.

http://sunsolve.sun.com/search/document.do?assetkey=1-21-125139-16-1

Comment 4 errata-xmlrpc 2009-08-06 20:42:05 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1200 https://rhn.redhat.com/errata/RHSA-2009-1200.html

Comment 5 errata-xmlrpc 2009-08-06 21:14:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1201 https://rhn.redhat.com/errata/RHSA-2009-1201.html

Comment 6 Fedora Update System 2009-08-07 04:59:29 UTC
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-08-07 05:02:15 UTC
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2009-11-12 18:15:30 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1582 https://rhn.redhat.com/errata/RHSA-2009-1582.html

Comment 11 errata-xmlrpc 2010-01-14 16:32:51 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.